# rbadata Examples

This directory contains comprehensive examples demonstrating all features of the rbadata package.

## Example Files

1. **`01_basic_usage.py`** - Basic data download and reading
2. **`02_data_browsing.py`** - Searching and browsing available data
3. **`03_forecasts.py`** - Working with RBA economic forecasts
4. **`04_inflation_calculator.py`** - Using the inflation calculator
5. **`05_chart_pack.py`** - Accessing RBA Chart Pack data
6. **`06_snapshots.py`** - Working with economic snapshots
7. **`07_alerts.py`** - Setting up data release alerts
8. **`08_glossary.py`** - Using the economic terms glossary
9. **`09_advanced_usage.py`** - Advanced features and combinations
10. **`10_data_analysis.py`** - Real-world data analysis examples

## Running the Examples

To run any example:

```bash
python examples/01_basic_usage.py
```

## Requirements

All examples require rbadata to be installed:

```bash
pip install rbadata
```

Some examples may also use additional packages for visualization:
- matplotlib
- seaborn
- plotly

## Note

These examples use live data from the RBA website, so an internet connection is required.